@import "../../constants";

.modalContainer {
  position: absolute;
  top: 0;
  right: 0;
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgba(0, 0, 0, 0.4);

  > form {
    width: 100%;
  }
}

.modalContentContainer {
  width: 30%;
  max-width: 465px;
  min-width: 300px;
  margin: 0 auto;
  height: fit-content;
  background: $OFF_WHITE;
  box-shadow: 0 8px 16px 0 rgba(0,0,0,0.32);
  border-radius: 3px;

  min-height: 307px;
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  grid-template-rows: 1fr minmax(2rem, 48px);
  grid-template-areas: "leftBar formContent formContent formContent formContent"
                        "formFooter formFooter formFooter formFooter formFooter";
}

.leftBar {
  grid-area: leftBar / leftBar;
  background: #F1F1F1;
  display: grid;
  border-right: solid 1px rgba(0, 0, 0, 0.02);

  > img {
    width: 50%;
    margin: 1.25rem auto 0;
  }
}

.formContents {
  width: 70%;
  margin: 0 auto;
  grid-area: formContent / formContent;
  display: flex;
  flex-direction: column;
  justify-content: center;

  > h1 {
    text-align: left;
    margin-bottom: 0.8rem;
    font-weight: 400;
  }
}

.actionsContainer {
  grid-area: formFooter / formFooter;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  background: $WHITE;
  border-top: solid 1px rgba(0, 0, 0, 0.08);
  border-radius: 0 0 3px 3px;

  > button {
    background: none;
    border: none;
    margin: 0 1.5rem;
    font-size: 0.875rem;
    font-weight: 500;
  }

  .cancelButton {
    color: $LABEL_TEXT;
  }

  .registerButton {
    color: $GAGGLE_BLUE;
  }
}
